---
features:
  top:
  - name: "Seamless worldwide performance with Geo"
    available_in: [premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/administration/geo/secondary_proxy'
    image_url: '/images/14_6/geo_secondary_proxy_flow.png'
    reporter: nhxnguyen
    gitlab_com: false
    stage: enablement
    categories:
    - 'Geo-replication'
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/1466'
    description: |
      Organizations with geographically distributed teams use Geo to provide a fast and efficient experience across the globe. Before GitLab 14.6, you could set up [Geo with a single, unified URL for all Git operations](https://docs.gitlab.com/ee/administration/geo/replication/location_aware_git_url.html). However, Geo replicas each had their own URL for web UI and API access, so users had to know the URL to the specific Geo replicas they wanted to use. The web UI of the Geo replicas was also read-only, limiting users to viewing pages and requiring them to perform changes on the primary site.

      In GitLab 14.6, Geo secondary sites transparently proxy write requests to the primary site while accelerating most read requests. Systems administrators can provide all GitLab users across their organization with a single URL that automatically uses the Geo site closest to them. Users no longer need to use different configuration to benefit from Geo, or worry about what operations won't work on Geo secondary sites. Globally distributed teams now benefit from accelerated `git clone` or `git pull` commands, and a seamless worldwide experience.

      Secondary proxying and unified URL support is enabled by default for new Geo installations. You can also [set up a unified URL](https://docs.gitlab.com/ee/administration/geo/secondary_proxy/index.html#set-up-a-unified-url-for-geo-sites) on an existing Geo installation and enable secondary proxying.
